### Method

# FwupdPlugin UdevDevice get_subsystem_devtype

since: 2.0.2

#### Declaration [src]

    gchar*
    fu_udev_device_get_subsystem_devtype (
      FuUdevDevice* self
    )

#### Description [src]

Returns the Udev subsystem and device type, as a string.

Available since: 2.0.2

#### Return value

Type: `gchar*`

`subsystem:devtype`, or just `subsystem` if the latter is unset.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.